Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

# Class PartyIdentification32

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_02.PartyIdentification32

public class PartyIdentification32 extends Object

Java class for PartyIdentification32 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PartyIdentification32">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max140Text" minOccurs="0"/>
             <element name="PstlAdr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}PostalAddress6" minOccurs="0"/>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Party6Choice" minOccurs="0"/>
             <element name="CtryOfRes" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}CountryCode" minOccurs="0"/>
             <element name="CtctDtls" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ContactDetails2" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ContactDetails2`
`ctctDtls`
`protected String`
`ctryOfRes`
`protected Party6Choice`
`id`
`protected String`
`nm`
`protected PostalAddress6`
`pstlAdr`

## Constructor Summary

Constructors
Constructor
Description
`PartyIdentification32()`

## Method Summary

Modifier and Type
Method
Description
`ContactDetails2`
`getCtctDtls()`
Gets the value of the ctctDtls property.
`String`
`getCtryOfRes()`
Gets the value of the ctryOfRes property.
`Party6Choice`
`getId()`
Gets the value of the id property.
`String`
`getNm()`
Gets the value of the nm property.
`PostalAddress6`
`getPstlAdr()`
Gets the value of the pstlAdr property.
`void`
`setCtctDtls(ContactDetails2 value)`
Sets the value of the ctctDtls property.
`void`
`setCtryOfRes(String value)`
Sets the value of the ctryOfRes property.
`void`
`setId(Party6Choice value)`
Sets the value of the id property.
`void`
`setNm(String value)`
Sets the value of the nm property.
`void`
`setPstlAdr(PostalAddress6 value)`
Sets the value of the pstlAdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nm

protected String nm

### pstlAdr

protected PostalAddress6 pstlAdr

### id

protected Party6Choice id

### ctryOfRes

protected String ctryOfRes

### ctctDtls

protected ContactDetails2 ctctDtls

## Constructor Details

### PartyIdentification32

public PartyIdentification32()

## Method Details

### getNm

public String getNm()
Gets the value of the nm property.

Returns:
  possible object is `String`

### setNm

public void setNm(String value)
Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

### getPstlAdr

public PostalAddress6 getPstlAdr()
Gets the value of the pstlAdr property.

Returns:
  possible object is `PostalAddress6`

### setPstlAdr

public void setPstlAdr(PostalAddress6 value)
Sets the value of the pstlAdr property.

Parameters:
  `value` - allowed object is `PostalAddress6`

### getId

public Party6Choice getId()
Gets the value of the id property.

Returns:
  possible object is `Party6Choice`

### setId

public void setId(Party6Choice value)
Sets the value of the id property.

Parameters:
  `value` - allowed object is `Party6Choice`

### getCtryOfRes

public String getCtryOfRes()
Gets the value of the ctryOfRes property.

Returns:
  possible object is `String`

### setCtryOfRes

public void setCtryOfRes(String value)
Sets the value of the ctryOfRes property.

Parameters:
  `value` - allowed object is `String`

### getCtctDtls

public ContactDetails2 getCtctDtls()
Gets the value of the ctctDtls property.

Returns:
  possible object is `ContactDetails2`

### setCtctDtls

public void setCtctDtls(ContactDetails2 value)
Sets the value of the ctctDtls property.

Parameters:
  `value` - allowed object is `ContactDetails2`